VAT Invoices
List Vat Invoices
List VAT invoices with pagination, direction/status filters, and search.
GET
/
vat-invoices
List Vat Invoices
curl --request GET \
--url https://vinmake-erp.onrender.com/vat-invoicesimport requests
url = "https://vinmake-erp.onrender.com/vat-invoices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://vinmake-erp.onrender.com/vat-invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"direction": "<string>",
"formNo": "<string>",
"serial": "<string>",
"invoiceNumber": "<string>",
"taxAuthorityCode": "<string>",
"issueDate": "<string>",
"sellerName": "<string>",
"sellerTaxCode": "<string>",
"buyerName": "<string>",
"buyerTaxCode": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"subtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"totalAmount": 123,
"adjustmentType": "<string>",
"replacesVatInvoiceId": "<string>",
"status": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"createdById": "<string>",
"lineItems": [
{
"id": "<string>",
"vatInvoiceId": "<string>",
"lineNo": 123,
"description": "<string>",
"qty": 123,
"uom": "<string>",
"unitPrice": 123,
"lineSubtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"lineTotal": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100output | input
Response
Successful Response
Show child attributes
Show child attributes
Pagination metadata following API standards.
Attributes: page: Current page number (1-indexed) limit: Items per page total: Total number of items matching query totalPages: Total number of pages hasNext: Whether there is a next page hasPrev: Whether there is a previous page
Show child attributes
Show child attributes
⌘I
List Vat Invoices
